package mercury;

import java.util.Date;
import java.util.Random;
import java.text.SimpleDateFormat;

public class IDGenerator {

	public String generateID() {
		String generatedID = "";
		Date currentTime_1 = new Date();
        
		Random rand = new Random(currentTime_1.getTime());
        
		SimpleDateFormat formatter = new SimpleDateFormat ("yyyyMMddHHmmssSS");
		String dateString = formatter.format(currentTime_1);
        
        
		generatedID = dateString + padZerosInFront(rand.nextInt(rand.nextInt(999999)));
		return generatedID;
	}

  private String padZerosInFront(int value) {
	  String str = String.valueOf(value);
  	if (str == null ) {
			return "";
		}
		int len = str.length();
		int lenToPad = 6 - len;
		StringBuffer sb = new StringBuffer();
    for (int i = 0 ; i < lenToPad ; i++) {
    	sb.append('0');        
		}
    sb.append(str);
    return sb.toString();
	}
}